/**
  *  \file client/widgets/ammoinfo.h
  *  \brief WAmmoInfo widget
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_AMMOINFO_H
#define PCC_V2_CLIENT_WIDGETS_AMMOINFO_H

#include "ui/ui.h"
#include "game/cargo.h"
#include "cpluslib/sigslot.h"
#include "ui/widgets/button.h"

/** Ammo information. Displays information about ammunition stored in
    a GCargoContainer. It is intended to display ammo. */
class WAmmoInfo : public UIBaseComplexWidget {
    GCargoContainer&   transfer;
    GCargoType         observe;
    SignalConnection   conn;
    UIButton btn_plus, btn_minus;
 public:
    WAmmoInfo(GCargoContainer& transfer, GCargoType observe);
    ~WAmmoInfo();

    void drawContent(GfxCanvas& can);
    void setCargoType(GCargoType observe);
    void getLayoutInfo(LayoutInfo& li);
    void onResize(GfxRect oldsize, bool by_layout);
};

#endif
