/**
  *  \file int/propenum.h
  *  \brief Interpreter: Property Enumeration
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_PROPENUM_H
#define PCC_V2_INT_PROPENUM_H

#include "cpluslib/string.h"
#include "cpluslib/types.h"
#include "int/if/ifutil.h"

class IntVariableNames;

/** Property acceptor. Interface to implement by someone who wants to
    receive property lists. */
class IntPropertyAcceptor {
 public:
    virtual ~IntPropertyAcceptor()
        { }

    /** Called by IntPropertyEnumerator::enumProperties to add a property. */
    virtual void addProperty(const string_t& name, TIntTypeHint th) = 0;

    void enumNames(const IntVariableNames& names);
    void enumMapping(const TIntMapping* map, uint32_t size);
};

string_t beautifyName(string_t name);

#endif
