/**
  *  \file ui/scroll.h
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_SCROLL_H
#define PCC_V2_UI_SCROLL_H

#include "ui/ui.h"
#include "ui/listbox.h"

class UIScrollableGroup : public UIScrollable {
    UIBaseWidget& content;
    UIScrollbar scrollbar;

    void onScroll();
    void onLayout(bool by_layout);

 public:
    UIScrollableGroup(UIBaseWidget& content);
    ~UIScrollableGroup();

    // Drawing
    void drawContent(GfxCanvas& can);
    void drawEverything(GfxCanvas& can);
    void drawBelow(UIBaseWidget& child, GfxCanvas& can);
    GfxCanvas& getCanvasFor(UIBaseWidget& child, ObjectHolder& mgr);

    // Resizing
    void onResize(GfxRect oldsize, bool by_layout);
    void onChildResize(UIBaseWidget& child, GfxRect oldsize);
    void onAddRemoveChild(UIBaseWidget& the_widget, bool added);

    // Layout
    void getLayoutInfo(LayoutInfo& info);

    // Scrolling
    void scrollTo(int pos, int corr);
};

#endif
