/**
  *  \file util/modinitconsole.cc
  *  \brief Module Initialisation - Common Initializers for all console applications
  *
  *  Initializes
  *  - stdio output, i.e. redirection of console to stdout
  *  - NLS
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "util/modinit.h"
#include "util/console.h"
#include "util/nls.h"
#include "arch/platform.h"

// Constraints: not with mod_base_gui
extern const ModuleInitializer mod_base_console[] = {
    { OnStartup, Platform::initPlatform },
    { OnStartup, Platform::initConsoleOutput },
    { OnStartup, initNLS },
    { 0, 0 },
};
